=== debian/changelog ===
ros-indigo-tracetools (0.1.0-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ingo Luetkebohle <ingo.luetkebohle@de.bosch.com>  Thu, 09 Nov 2017 08:32:57 -0000
